!set title=Multiplicación diagonal 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=c
varcnt=18
prevarcnt=17
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint -9, 9

val6=$[rint($(tmp0))]
tmp0=!randint -9, 9

val7=$[rint($(tmp0))]
tmp0=!randint -9, 9

val8=$[rint($(tmp0))]
tmp0=!randint -9, 9

val9=$[rint($(tmp0))]
tmp0=!randint 1, 19

tmp1=!randitem -1,1

val10=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 19

tmp1=!randitem -1,1

val11=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem 1,2

val12=$[rint($(tmp0))]
tmp0=!randitem 1,2

val13=$[rint($(tmp0))]
tmp0=!randitem 1,2

val14=$[rint($(tmp0))]
tmp0=!randitem -2*($val10),-($val10),$val10,2*($val10)

val15=$[rint($(tmp0))]
tmp0=!randitem -2*($val11),-($val11),$val11,2*($val11)

val16=$[rint($(tmp0))]

!ifval $val13=2 and $val14=1
val17=$[rint($val10*($val6)+($val15))]
!else
val17=$[rint($val10*($val6))]
!endif

!ifval $val13=2 and $val14=2
val18=$[rint($val11*($val9)+($val16))]
!else
val18=$[rint($val11*($val9))]
!endif

!ifval $val12=1
val19=$[rint($val10*($val7))]
!else
val19=$[rint($val11*($val7))]
!endif

!ifval $val12=1
val20=$[rint($val11*($val8))]
!else
val20=$[rint($val10*($val8))]
!endif

!ifval $val12=1
val21=D\pmatrix{$val6&$val7\cr $val8&$val9}
!else
val21=	     \pmatrix{$val6&$val7\cr $val8&$val9}D
!endif

!ifval $val13=1
val22=Yes
!else
val22=No
!endif
choicename1=La réponse
choicegood1=$val22
choicebad1=Sí,No
question=!nosubst ¿Existe una matriz diagonal &#36;D&#36; tal que	&#36;&#36;$val21=\pmatrix{$val17&$val19\cr $val20&$val18}?&#36;&#36;

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=17,18,19,20,21
embedcnt=0
